package org.protege.editor.owl.ui.editor;

import org.protege.editor.core.ui.util.InputVerificationStatusChangedListener;
import org.protege.editor.owl.ui.selector.OWLClassSelectorPanel;
import org.semanticweb.owlapi.model.OWLClassExpression;

import javax.swing.*;
import java.util.HashSet;
import java.util.Set;
/*
* Copyright (C) 2007, University of Manchester
*
* Modifications to the initial code base are copyright of their
* respective authors, or their employers as appropriate.  Authorship
* of the modifications may be determined from the ChangeLog placed at
* the end of this file.
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.

* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.

* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/**
 * Author: drummond<br>
 * http://www.cs.man.ac.uk/~drummond/<br><br>
 * <p/>
 * The University Of Manchester<br>
 * Bio Health Informatics Group<br>
 * Date: Feb 26, 2009<br><br>
 */
public class OWLClassSelectorWrapper extends AbstractOWLClassExpressionEditor {


    private OWLClassSelectorPanel component;


    public void initialise() throws Exception {
        component = new OWLClassSelectorPanel(getOWLEditorKit());
    }


    public JComponent getComponent() {
        return component;
    }


    public boolean isValidInput() {
        return component.getSelectedObjects() != null && !component.getSelectedObjects().isEmpty();
    }


    public boolean setDescription(OWLClassExpression description) {
        if (description == null){
            return true;
        }
        if (!description.isAnonymous()){
            component.setSelection(description.asOWLClass());
            return true;
        }
        return false;
    }


    public Set<OWLClassExpression> getClassExpressions() {
        return new HashSet<OWLClassExpression>(component.getSelectedObjects());
    }


    public void addStatusChangedListener(InputVerificationStatusChangedListener l) {
        component.addStatusChangedListener(l);
    }


    public void removeStatusChangedListener(InputVerificationStatusChangedListener l) {
        component.removeStatusChangedListener(l);
    }


    public void dispose() throws Exception {
        component.dispose();
    }
}
